package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: UploadToCosReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:34
 */
@Data
public class UploadToCosReq  implements Serializable {
    private static final long serialVersionUID = -7424727970959221695L;
    /**
     * uploadAddress+自定义文件名称
     */
    private String cosPath;
    private String tempSecretId;
    private String tempSecretKey;
    private String sessionToken;
    private String filePath;

    private static final UploadToCosReq obj = new UploadToCosReq();
    public static UploadToCosReq getNew() {
        try {
            return (UploadToCosReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new UploadToCosReq();
        }
    }
}
